Mod Loading Error


#1

I’ve had problems loading mods onto my game since modding started. I decided to not deal with too much of it until steam workshop was going to be put up. I decided to use steam workshop to load mods and for some reason I always have the same problem whether its modding the game directly from downloads (Basically without using steam workshop) and using steam workshop. I get this message every time. Help please?


#2

The mod API is missing


#3

It seems you don’t have the gdt-modAPI either installed or enabled. You can get it here. Make sure you enable it.


#4

Is it in the Steam Workshop or is it something I have to manually put into a folder?


#5

Put it manually into the mods folder


#6

If I recall correctly, you need to manually put it into your mods folder.

EDIT: @KizzaGaming beat me to it twice :frowning:


#7

EDIT: Lots of people beat me to it :stuck_out_tongue: I recommend using the one given to you in the above link, and not mine :stuck_out_tongue:
It appears that the API is not being correctly loaded or it does not exist. Here’s the API file as per my game, it SHOULD be the same. Unzip the file and copy the folder into these two folders:

  • C:/Program Files (x86)/Steam/steamapps/common/Game Dev/Tycoon/mods
  • C:/Program Files (x86)/Steam/steamapps/common/Game Dev/Tycoon/mods_ws

gtd-modAPI.zip


#8

I’m enjoying the love from all of you!! Do I just paste the entire folder into both those folders?


#9

From the error you got (which references both folders) I’d think that to be your best bet.
The following folder paths should look like this:

  • C:/Program Files (x86)/Steam/steamapps/common/Game Dev/Tycoon/mods/gdt-modAPI
  • C:/Program Files (x86)/Steam/steamapps/common/Game Dev/Tycoon/mods_ws/gdt-modAPI

#10

I did that, but I got a new error message.


#11

Okay…try renaming the gdt-modAPI in the mods_ws folder to gdt-modAPI.bak.

We do at least appear to be getting somewhere XD


#12

No, this error is by Expansion Pack.

@Pruff60, ignore what @Roguebantha said


#13

Then what should I do? Confused Pruff60 is Confused.


#14

What’s the fix Kizza? :slight_smile: I’m employing dynamic situational analysis here anyway.


#15

The new error is caused by Expansion Pack (@DzjengisKhan)

Try disabling EPM and see what happens :stuck_out_tongue:


#16

Its also giving me an error message under EPM about UlimateLib.


#17

Can’t hurt :stuck_out_tongue: I did take a look at the source.js file for EPM and am confused as to where the “#” Object is coming from. If anything, it should be called “GDT”, not “#”, unless this is some odd formatting thingamajigger. thought maybe we should try reloading the source.js file.

EDIT: Yeah, that’s not surprising. It’s loading something wrong, Pruff60, try doing what I originally told you with the renaming thing. In my file heirarchy, folder /mods_ws/gtd-modAPI does not exist, so renaming /mods_ws/gtd-modAPI to /mods_ws/gtd-modAPI.bak essentially deletes the unneseccary folder.


#18

Try, re installing all the mods :stuck_out_tongue:


#19

You’re speaking jiberish to me. :stuck_out_tongue:


#20

I installed them via Steam Workshop. How do I do that?

I know, I’m not very smart at this. Lol